#ifndef INC_GTPOPUP_H
#define INC_GTPOPUP_H

#include "gtshell.h"

/************************************************************************\
*
* GtPopup class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtPopup : public GtShell
{
public:
		/* Standard */
	GtPopup(void);
	void Destroy(void);
	char *GetClass(void) { return("GtPopup"); }
	sbool IsSubClassOf(char *cn);
		/* Window management */
	void Map(sbool map);
	sbool Build(void);
		/* Values */
	void SetEMask(ulong em);
		/* Popup / Popdown */
	void Popup(int xp,int yp,sbool grab,Time tm);
	void Popup(sbool grab,Time tm);
	void Popdown(void);
protected:
		/* Internal methods */
	sbool Config(XEvent *xe);
	void Grab(void);
	void UnGrab(void);
protected:
		/* Instance variables */
	Time gtime;
	ubyte popflags;
};

extern GtPopup *GtMkPopup(char *n,GtManager *p,GtTag *tgs);
extern GtPopup *GtMkPopup(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTPOPUP_H */
